<?php
/**
 * @file
 * Default theme implementation to display a single Drupal page.
 */
?>
  <div id="page">
    <header role="banner" class="clearfix">

      <?php if ($site_name || $site_slogan): ?>
        <hgroup id="name-and-slogan">

        <?php if ($site_name): ?>
            <h1 id="site-name">
              <?php if (!$is_front): ?><a href="<?php print $front_page; ?>" title="<?php print t('Go to the home page'); ?>" rel="home"><?php endif; ?>
                <span><?php print $site_name; ?></span>
              <?php if (!$is_front): ?></a><?php endif; ?>
            </h1>
          <?php endif; ?>

          <?php if ($site_slogan): ?>
            <h2 id="site-slogan"><?php print $site_slogan; ?></h2>
          <?php endif; ?>
        </hgroup>
      <?php endif; ?>

      <?php print render($page['header']); ?>
    </header>
    
    <?php if ($main_menu || $secondary_menu): ?>
      <nav role="navigation">
        <?php if ($main_menu): ?>
          <div id="main-menu">
            <?php print theme('links__system_main_menu', array(
              'links' => $main_menu,
              'attributes' => array(
                'class' => array('menu', 'main-menu', 'navbar', 'clearfix')
                ),
              'heading' => array(
                'text' => t('Main menu'),
                'level' => 'h2',
                'class' => array('element-invisible'),
                )
              ));
            ?>
          </div>
        <?php endif; ?>
        <?php if ($secondary_menu): ?>
          <div id="secondary-menu">
            <?php print theme('links__system_secondary_menu', array(
              'links' => $secondary_menu,
              'attributes' => array(
                'class' => array('menu', 'navbar', 'pipeline', 'clearfix')
                ),
              'heading' => array(
                'text' => t('Secondary menu'),
                'level' => 'h2',
                'class' => array('element-invisible'),
                )
              ));
            ?>
          </div>
        <?php endif; ?>
        <?php if ($breadcrumb) print $breadcrumb; ?>
      </nav>
    <?php endif; ?>

    <div id="main" role="main" class="clearfix">
      <div id="main-content">
        <?php if ($page['highlighted']): ?><div id="highlighted"><?php print render($page['highlighted']); ?></div><?php endif; ?>
        <?php print render($title_prefix); ?>
        <?php if ($title): ?><h1 class="title" id="page-title"><?php print $title; ?></h1><?php endif; ?>
        <?php print render($title_suffix); ?>
        <?php if ($tabs): ?><div class="tasks clearfix"><?php print render($tabs); ?></div><?php endif; ?>
        <?php print $messages; ?>
        <?php print render($page['help']); ?>
        <?php if ($action_links): ?><ul class="action-links"><?php print render($action_links); ?></ul><?php endif; ?>
        <?php print render($page['content']); ?>
        <?php print $feed_icons; ?>
      </div>

      <?php if ($page['sidebar_first']): ?>
        <div id="sidebar-first" class="column sidebar"><div class="section clearfix">
          <?php print render($page['sidebar_first']); ?>
        </div></div> <!-- /.section, /#sidebar-first -->
      <?php endif; ?>

      <?php if ($page['sidebar_second']): ?>
        <div id="sidebar-second" class="column sidebar"><div class="section clearfix">
          <?php print render($page['sidebar_second']); ?>
        </div></div> <!-- /.section, /#sidebar-second -->
      <?php endif; ?>

    </div>
    <footer role="contentinfo">
      <?php print render($page['footer']); ?>
    </footer>
  </div>
